use super::WeakFunctor;

pub trait WeakFunctorAny {
    /// Type of the wrapped value.
    type FAny<'a, A: 'a>: 'a
    where
        Self: 'a;
}

impl<'a, T: ?Sized + 'a + WeakFunctorAny> WeakFunctor<'a> for T {
    type F<A: 'a> = T::FAny<'a, A>;
}
